# encoding: utf-8

require 'fileutils'
require 'design_storyboard'
require 'thor'
require 'design_storyboard/version'

module DesignStoryboard
  class Cli < Thor

    option :open, :type => :boolean
    desc 'build [INPUT_FILE_PATH] --open', 'Build storyboard (html) from file.'
    def build(path)
      Setting[:input_file_path] = path
      Setting.update_dump_data_path
      Setting[:auto_open] = true if options[:open]

      DesignStoryboard.build
    end

    desc 'version', 'Prints version'
    def version
      puts VERSION
    end

  end
end