# encoding: utf-8

module DesignStoryboard
  module Log

    def start
      caller_info = caller[0].to_s.match(/`(?<method>[\w\_\-]+)'/)
      
      if caller_info.present?
        program_action = caller_info[:method].split('_').map(&:capitalize).join(' ')

        title program_action
      end
    end

    def title(title)
      puts " [ #{title} ] ".center(65, "-")
    end

    def alert(message)
      puts "[*] #{message}"
    end

    def say(message)
      puts "[ ] #{message}"
    end

    def runtime_error(exception)
      puts "[!] Runtime Exception: #{exception.message}"
    end

    def unable(message)
      puts "[!] Unable: #{message}"
    end

    def attention(message)
      puts
      puts message
      puts
    end

    def done
      alert "Done."
    end

  end
end
