# encoding: utf-8

module DesignStoryboard

  module Setting

    @settings = {}

    def self.all
      @settings
    end

    def self.[](key)
      all[key]
    end

    def self.[]=(key, value)
      all[key] = value
    end

    def self.create_important_folder
      FileUtils.mkpath File.join(Setting[:dump_dir_path])
      FileUtils.mkpath File.join(Setting[:dump_dir_path], Setting[:stylesheet_dir_name]) if Setting[:auto_create_css]
    end

    def self.update_dump_data_path
      new_filename = File.basename(Setting[:input_file_path], ".*")

      Setting[:dump_dir_path]  = File.join(File.dirname(Setting[:input_file_path]), Setting[:release_dir_name])
      Setting[:dump_file_path] = File.join(Setting[:dump_dir_path], "#{new_filename}.html")

      create_important_folder

      update_page_title
    end

    def self.update_page_title
      Setting[:page_title] = File.basename(Setting[:input_file_path], ".*")
    end

  end

  Setting[:release_dir_name]     = 'release'
  Setting[:stylesheet_dir_name]  = 'css'
  Setting[:stylesheet_file_name] = 'storyboard.css'
  Setting[:stylesheet_path]      = File.join(Setting[:stylesheet_dir_name], Setting[:stylesheet_file_name])
  Setting[:assets_path]          = File.join(File.dirname(__FILE__), 'assets')
  Setting[:input_file_path]      = ''
  Setting[:dump_dir_path]        = ''
  Setting[:dump_file_path]       = ''
  Setting[:page_title]           = ''
  Setting[:auto_open]            = false
  Setting[:auto_create_css]      = true 
end